Bug 313294 - After applying transformation with the Return key (at numpad) the shortcuts in KisShortcutManager do not work
Summary: After applying transformation with the Return key (at numpad) the shortcuts i...
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: Tools/Transform (show other bugs)
Version: git master (please specify the git hash!)
Platform: Other Linux
: NOR normal
Target Milestone: ---
Assignee: Dmitry Kazakov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-15 13:29 UTC by Dmitry Kazakov
Modified: 2013-01-20 10:48 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Kazakov 2013-01-15 13:29:27 UTC
1) Transform a layer with the Transform Tool
2) Press Return key at the numpad
3) Switch back to the Brush Tool

You cannot use any shortcut of the KisShortcutManager after that.

Workaround:
1) Minimize Krita with your window manager
2) Restore it back.

Everything works
Comment 1 Dmitry Kazakov 2013-01-20 10:48:21 UTC
Git commit 0e3a6beaba892879fc0f15b2dba0ce5975911daf by Dmitry Kazakov.
Committed on 20/01/2013 at 11:43.
Pushed by dkazakov into branch 'krita-fixed-transform-kazakov'.

Ported Transform Tool to strokes

There is one regression: the actions inside a single transform stroke
(that is until you applied the transformation) cannot be undone yet.

The undo of the transformation as a whole works perfectly.
Related: bug 251749, bug 310559, bug 297929, bug 297927

M  +4    -7    krita/image/kis_selection_transaction_data.cpp
M  +4    -2    krita/image/kis_selection_transaction_data.h
M  +2    -2    krita/image/kis_transaction.h
M  +1    -1    krita/image/kis_transform_visitor.h
M  +1    -1    krita/plugins/extensions/imagesize/imagesize.cc
M  +2    -1    krita/plugins/tools/defaulttools/strokes/move_selection_stroke_strategy.cpp
M  +2    -1    krita/plugins/tools/defaulttools/strokes/move_stroke_strategy.cpp
M  +1    -0    krita/plugins/tools/tool_transform2/CMakeLists.txt
M  +248  -521  krita/plugins/tools/tool_transform2/kis_tool_transform.cc
M  +24   -24   krita/plugins/tools/tool_transform2/kis_tool_transform.h
M  +4    -4    krita/plugins/tools/tool_transform2/kis_tool_transform_config_widget.cpp
M  +1    -1    krita/plugins/tools/tool_transform2/kis_tool_transform_config_widget.h
A  +204  -0    krita/plugins/tools/tool_transform2/strokes/transform_stroke_strategy.cpp     [License: GPL (v2+)]
A  +97   -0    krita/plugins/tools/tool_transform2/strokes/transform_stroke_strategy.h     [License: GPL (v2+)]
M  +23   -7    krita/plugins/tools/tool_transform2/tool_transform_args.cc
M  +37   -8    krita/plugins/tools/tool_transform2/tool_transform_args.h
M  +2    -2    krita/ui/actions/kis_selection_action_factories.cpp
M  +1    -1    krita/ui/kis_mirror_visitor.cpp
M  +2    -2    krita/ui/tool/kis_selection_tool_helper.cpp

http://commits.kde.org/calligra/0e3a6beaba892879fc0f15b2dba0ce5975911daf